Skip to main content
POST
/api/v1/image/generations

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Encabezados

Accept-Encoding
string

Supported compression encodings (gzip, br).

Ejemplo:

"gzip, br"

Cuerpo

application/json
prompt
string
requerido

A text description of the desired image.

Required string length: 1 - 1500
Ejemplo:

"A beautiful sunset over mountain ranges"

background
enum<string> | null
predeterminado:auto

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Opciones disponibles:
transparent,
opaque,
auto
Ejemplo:

"auto"

model
string
predeterminado:default

The model to use for image generation. Defaults to Venice's default image model. If a non-existent model is specified (ie an OpenAI model name), it will default to Venice's default image model.

Ejemplo:

"grok-imagine-image"

moderation
enum<string> | null
predeterminado:auto

auto enables safe venice mode which will blur out adult content. low disables safe venice mode.

Opciones disponibles:
low,
auto
Ejemplo:

"auto"

n
integer | null
predeterminado:1

Number of images to generate. Venice presently only supports 1 image per request.

Rango requerido: 1 <= x <= 1
Ejemplo:

1

output_compression
integer | null
predeterminado:100

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Rango requerido: 0 <= x <= 100
output_format
enum<string>
predeterminado:png

Output format for generated images

Opciones disponibles:
jpeg,
png,
webp
Ejemplo:

"png"

quality
enum<string> | null
predeterminado:auto

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Opciones disponibles:
auto,
high,
medium,
low,
hd,
standard
Ejemplo:

"auto"

response_format
enum<string> | null
predeterminado:b64_json

Response format. URL will be a data URL.

Opciones disponibles:
b64_json,
url
Ejemplo:

"b64_json"

size
enum<string> | null
predeterminado:auto

Size of generated images. Default is 1024x1024

Opciones disponibles:
auto,
256x256,
512x512,
1024x1024,
1536x1024,
1024x1536,
1792x1024,
1024x1792
Ejemplo:

"1024x1024"

style
enum<string> | null
predeterminado:natural

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Opciones disponibles:
vivid,
natural
Ejemplo:

"natural"

user
string

This parameter is discarded and is supported for compatibility with OpenAI API. It is not an alias of anon_user_id.

Ejemplo:

"user123"

anon_user_id
string

Optional identifier for the API customer's end user. Combined with the Venice user id when attributing the request to upstream providers. Distinct from the discarded OpenAI user field. Must be printable ASCII and must not contain ||.

Required string length: 1 - 128
Pattern: ^[\x20-\x7E]+$
Ejemplo:

"end-user-123"

Respuesta

Successfully generated image

created
integer
requerido

Unix timestamp for when the request was created

Ejemplo:

1713833628

data
object[]
requerido